Bug 478447 - Review Request: qtgpsc - A client for the gpsd GPS server
Review Request: qtgpsc - A client for the gpsd GPS server
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lucian Langa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-30 04:24 EST by Fabian Affolter
Modified: 2009-02-20 06:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-20 06:44:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lucilanga: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2008-12-30 04:24:18 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/qtgpsc.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/qtgpsc-0.2.3-1.fc9.src.rpm

Project URL: http://www.navlost.eu/survey/gpsd/

Description:
qtGPSc connects to a GPS receiver via gpsd and displays position, speed,
and time, as well as various precision indicators and satellite configuration.
It can also show the raw GPS data in GPSD or NMEA format.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1025837

rpmlint output:
[fab@laptop024 i386]$ rpmlint qtgpsc*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 SRPMS]$ rpmlint qtgpsc-0.2.3-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Lucian Langa 2009-01-28 12:15:15 EST
OK  source files match upstream:
        3e7bf8b2bd2e21c5082a52a37e381046  qtgpsc-0.2.3.tar.gz
OK  package meets naming and versioning guidelines.
OK  specfile is properly named, is cleanly written and uses macros consistently.
OK  summary a short and concise description.
OK  description is OK.
OK  dist tag is present.
OK  build root is sane.
NOT OK  license field matches the actual license.
OK  license is open source-compatible.
OK  license text included in package.
OK  BuildRequires are proper.
OK  compiler flags are appropriate.
OK  %clean is present.
OK  package builds in mock (rawhide, x86_64).
OK  package installs properly.
OK  debuginfo package looks complete.
OK  rpmlint is silent.
  final provides and requires are sane:
        qtgpsc = 0.2.3-1.fc11
        qtgpsc(x86-64) = 0.2.3-1.fc11
  =
        libX11.so.6()(64bit)
        libXext.so.6()(64bit)
        libc.so.6()(64bit)
        libgcc_s.so.1()(64bit)
        libgps.so.17()(64bit)
        libm.so.6()(64bit)
        libqt-mt.so.3()(64bit)
        libstdc++.so.6()(64bit)
OK  %check is not present; no test suite upstream.
N/A no shared libraries are added to the regular linker search paths.
OK  owns the directories it creates.
OK  doesn't own any directories it shouldn't.
OK  no duplicates in %files.
OK  file permissions are appropriate.
OK  code, not content.
OK  documentation is small, so no -doc subpackage is necessary.
OK  %docs are not necessary for the proper functioning of the package.
OK  no headers.
OK  no pkgconfig files.
OK  no static libraries.
OK  no libtool .la files.
OK  gui application; desktop file installed properly

Source0 is mistyped

desktop-file-validate qtgpsc.desktop
qtgpsc.desktop: warning: value "Application;Utility;" for key "Categories" in group "Desktop Entry" contains a deprecated value "Application"

License should be BSD not MIT.
Comment 2 Fabian Affolter 2009-01-28 13:02:44 EST
Thanks for the review.

(In reply to comment #1)
> Source0 is mistyped

fixed

> desktop-file-validate qtgpsc.desktop
> qtgpsc.desktop: warning: value "Application;Utility;" for key "Categories" in
> group "Desktop Entry" contains a deprecated value "Application"

fixed and added an icon

> License should be BSD not MIT.

fixed


Updated files:

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/qtgpsc.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/qtgpsc-0.2.3-2.fc9.src.rpm
Comment 3 Lucian Langa 2009-01-28 13:27:53 EST
Looks good; thank you!

APPROVED.
Comment 4 Fabian Affolter 2009-01-28 13:38:53 EST
New Package CVS Request
=======================
Package Name: qtgpsc
Short Description: A client for the gpsd GPS server
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 5 Kevin Fenzi 2009-01-28 19:09:37 EST
cvs done.
Comment 6 Fedora Update System 2009-02-04 21:13:46 EST
qtgpsc-0.2.3-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update qtgpsc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-1274
Comment 7 Fedora Update System 2009-02-04 21:14:25 EST
qtgpsc-0.2.3-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qtgpsc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1283

Note You need to log in before you can comment on or make changes to this bug.